Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8165562

Upgrade to newer version of SWT for build/test

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 9, 10
    • Fix Version/s: 10
    • Component/s: javafx

      Description

      We currently use an old version of SWT (3.7.2) to compile the javafx.swt module against and to run tests.

      We should consider upgrading to SWT 4.6 since some things cannot be adequately tested with the older version (see JDK-8143596). Also, the newer version will be required on Ubuntu 16, because SWT 3.7.2 does not support GTK 3.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                azvegint Alexander Zvegintsev (Inactive)
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: